# Payout

Source: https://docs.gocardless.com/docs/api-reference/payout

## List payouts

`GET /payouts`

Returns a [cursor-paginated](#api-usage-cursor-pagination) list of your payouts.

### Responses

| Status | Description |
| --- | --- |
| 200 | Successful response |
| 400 | Bad Request |
| 401 | Unauthorised |
| 404 | Not found |
| 422 | Validation Error |
| 500 | Internal Error |

---

## Get a single payout

`GET /payouts/{payout_id}`

Retrieves the details of a single payout. For an example of how to reconcile the transactions in a payout, see [this guide](#events-reconciling-payouts-with-events).

### Parameters

| Name | Location | Type | Required | Description |
| --- | --- | --- | --- | --- |
| `payout_id` | path | string | Yes | The payout id |

### Responses

| Status | Description |
| --- | --- |
| 200 | Successful response |
| 400 | Bad Request |
| 401 | Unauthorised |
| 404 | Not found |
| 422 | Validation Error |
| 500 | Internal Error |

---

## Update a payout

`PUT /payouts/{payout_id}`

Updates a payout object. This accepts only the metadata parameter.

### Parameters

| Name | Location | Type | Required | Description |
| --- | --- | --- | --- | --- |
| `payout_id` | path | string | Yes | The payout id |

### Request body

Wrap request body attributes in a `payouts` object.

| Field | Type | Required | Description |
| --- | --- | --- | --- |
| `metadata` | object | No | Key-value store of custom data. Up to 3 keys are permitted, with key names up to 50 characters and values up to 500 characters. |

### Responses

| Status | Description |
| --- | --- |
| 200 | Successful response |
| 400 | Bad Request |
| 401 | Unauthorised |
| 404 | Not found |
| 422 | Validation Error |
| 500 | Internal Error |
